package com.dcs.hnyz.service.impl;

import java.util.Arrays;
import java.util.List;
import com.dcs.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dcs.hnyz.mapper.ActionConfigMapper;
import com.dcs.hnyz.domain.ActionConfig;
import com.dcs.hnyz.service.IActionConfigService;

/**
 * 动作配置管理Service业务层处理
 * 
 * @author hmy
 * @date 2025-04-28
 */
@Service
public class ActionConfigServiceImpl implements IActionConfigService 
{
    @Autowired
    private ActionConfigMapper actionConfigMapper;

    /**
     * 查询动作配置管理
     * 
     * @param actionId 动作配置管理主键
     * @return 动作配置管理
     */
    @Override
    public ActionConfig selectActionConfigByActionId(Long actionId)
    {
        return actionConfigMapper.selectById(actionId);
    }

    /**
     * 查询动作配置管理列表
     * 
     * @param actionConfig 动作配置管理
     * @return 动作配置管理
     */
    @Override
    public List<ActionConfig> selectActionConfigList(ActionConfig actionConfig)
    {
        return actionConfigMapper.selectActionConfigList(actionConfig);
    }

    /**
     * 新增动作配置管理
     * 
     * @param actionConfig 动作配置管理
     * @return 结果
     */
    @Override
    public int insertActionConfig(ActionConfig actionConfig)
    {
        actionConfig.setCreateTime(DateUtils.getNowDate());
        return actionConfigMapper.insert(actionConfig);
    }

    /**
     * 修改动作配置管理
     * 
     * @param actionConfig 动作配置管理
     * @return 结果
     */
    @Override
    public int updateActionConfig(ActionConfig actionConfig)
    {
        actionConfig.setUpdateTime(DateUtils.getNowDate());
        return actionConfigMapper.updateById(actionConfig);
    }

    /**
     * 批量删除动作配置管理
     * 
     * @param actionIds 需要删除的动作配置管理主键
     * @return 结果
     */
    @Override
    public int deleteActionConfigByActionIds(Long[] actionIds)
    {
        return actionConfigMapper.deleteBatchIds(Arrays.asList(actionIds));
    }

    /**
     * 删除动作配置管理信息
     * 
     * @param actionId 动作配置管理主键
     * @return 结果
     */
    @Override
    public int deleteActionConfigByActionId(Long actionId)
    {
        return actionConfigMapper.deleteById(actionId);
    }
}
